Package tigase.db.util

## Interface SchemaLoader.Parameters

- All Known Implementing Classes:
    `DBSchemaLoader.Parameters`
  Enclosing class:
    SchemaLoader<P extends SchemaLoader.Parameters>

      public static interface SchemaLoader.Parameters

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAdminPassword()` |
    `java.util.List<BareJID>` | `getAdmins()` |
    `java.util.logging.Level` | `getLogLevel()` |
    `default boolean` | `isDbRootAsk()` |
    `boolean` | `isForceReloadSchema()` |
    `void` | `parseUri​(java.lang.String uri)` |
    `void` | `setAdmins​(java.util.List<BareJID> admins, java.lang.String password)` |
    `default void` | `setDbRootAsk​(boolean value)` |
    `void` | `setDbRootCredentials​(java.lang.String username, java.lang.String password)` |
    `void` | `setForceReloadSchema​(boolean forceReloadSchema)` |
    `void` | `setLogLevel​(java.util.logging.Level level)` |
    `void` | `setProperties​(java.util.Properties props)` |
    `default void` | `setSchemaDirectory​(java.lang.String schemaDirectory)` |

- - ### Method Detail

    - #### parseUri

          void parseUri​(java.lang.String uri)

    - #### setProperties

          void setProperties​(java.util.Properties props)

    - #### getAdmins

          java.util.List<BareJID> getAdmins()

    - #### getAdminPassword

          java.lang.String getAdminPassword()

    - #### setAdmins

          void setAdmins​(java.util.List<BareJID> admins,
                         java.lang.String password)

    - #### setDbRootCredentials

          void setDbRootCredentials​(java.lang.String username,
                                    java.lang.String password)

    - #### isDbRootAsk

          default boolean isDbRootAsk()

    - #### setDbRootAsk

          default void setDbRootAsk​(boolean value)

    - #### setSchemaDirectory

          default void setSchemaDirectory​(java.lang.String schemaDirectory)

    - #### getLogLevel

          java.util.logging.Level getLogLevel()

    - #### setLogLevel

          void setLogLevel​(java.util.logging.Level level)

    - #### isForceReloadSchema

          boolean isForceReloadSchema()

    - #### setForceReloadSchema

          void setForceReloadSchema​(boolean forceReloadSchema)